/*  Creator: make/0

    Purpose: Provide index for autoload
*/

index(http_ax_attributes(?,?), http_ax, ax).
index(ax_form_attributes(?,?), http_ax, ax).
index(graphql_read_document(?,?,?), graphql, graphql).
index(graphql_execute_document(?,?,?,?), graphql, graphql).
index(graphql_document_to_string(?,?,?), graphql, graphql).
index(graphql_document_to_codes(?,?,?), graphql, graphql).
index(graphql(?,?,?,?), graphql, graphql).
index(html_meta(?), html_decl, html_decl).
index(html_no_content(?), html_decl, html_decl).
index(:(op,op(1150,fx,html_meta)), html_decl, html_decl).
index(html_resource(?,?), html_head, html_head).
index(html_requires(?,?,?), html_head, html_head).
index(html_current_resource(?), html_head, html_head).
index(html(?,?,?,?), html_quasi_quotations, html_quasiquotations).
index(reply_html_page(:,:), html_write, html_write).
index(reply_html_page(+,:,:), html_write, html_write).
index(reply_html_partial(?), html_write, html_write).
index(page(:,-,+), html_write, html_write).
index(page(:,:,-,+), html_write, html_write).
index(page(?,?,?,?,?), html_write, html_write).
index(html(:,-,+), html_write, html_write).
index(html_set_options(?), html_write, html_write).
index(html_current_option(?), html_write, html_write).
index(html_post(+,:,-,+), html_write, html_write).
index(html_receive(?,?,?), html_write, html_write).
index(html_receive(+,3,-,+), html_write, html_write).
index(xhtml_ns(?,?,?,?), html_write, html_write).
index(html_root_attribute(?,?,?,?), html_write, html_write).
index(html(?,?,?,?), html_write, html_write).
index(html_begin(?,?,?), html_write, html_write).
index(html_end(?,?,?), html_write, html_write).
index(html_quoted(?,?,?), html_write, html_write).
index(html_quoted_attribute(?,?,?), html_write, html_write).
index(print_html(?), html_write, html_write).
index(print_html(?,?), html_write, html_write).
index(html_print_length(?,?), html_write, html_write).
index(html_meta(?), html_write, html_write).
index(:(op,op(1150,fx,html_meta)), html_write, html_write).
index(reply_htmx(?), htmx, htmx).
index(reply_htmx(?,?), htmx, htmx).
index(htmx_oob(?,?,?,?), htmx, htmx).
index(http_authenticate(?,?,?), authenticate, http_authenticate).
index(http_authorization_data(?,?), authenticate, http_authenticate).
index(http_current_user(?,?,?), authenticate, http_authenticate).
index(http_read_passwd_file(?,?), authenticate, http_authenticate).
index(http_write_passwd_file(?,?), authenticate, http_authenticate).
index(http_get(?,?,?), http_client, http_client).
index(http_delete(?,?,?), http_client, http_client).
index(http_post(?,?,?,?), http_client, http_client).
index(http_put(?,?,?,?), http_client, http_client).
index(http_patch(?,?,?,?), http_client, http_client).
index(http_read_data(+,-,:), http_client, http_client).
index(http_disconnect(?), http_client, http_client).
index(cookie_remove_client(?), http_cookie, http_cookie).
index(cookie_remove_all_clients, http_cookie, http_cookie).
index(cookie_current_cookie(?,?,?,?), http_cookie, http_cookie).
index(cors_enable, http_cors, http_cors).
index(cors_enable(?,?), http_cors, http_cors).
index(http_digest_challenge(?,?,?,?), http_digest, http_digest).
index(http_digest_password_hash(?,?,?,?), http_digest, http_digest).
index(http_parse_digest_challenge(?,?), http_digest, http_digest).
index(http_digest_response(?,?,?,?,?), http_digest, http_digest).
index(http_reply_dirindex(+,:,+), http_dirindex, http_dirindex).
index(directory_index(+,:,?,?), http_dirindex, http_dirindex).
index(http_dispatch(?), http_dispatch, http_dispatch).
index(http_handler(?,?,?), http_dispatch, http_dispatch).
index(http_delete_handler(?), http_dispatch, http_dispatch).
index(http_request_expansion(?,?), http_dispatch, http_dispatch).
index(http_reply_file(?,?,?), http_dispatch, http_dispatch).
index(http_redirect(?,?,?), http_dispatch, http_dispatch).
index(http_404(?,?), http_dispatch, http_dispatch).
index(http_switch_protocol(?,?), http_dispatch, http_dispatch).
index(http_current_handler(?,?), http_dispatch, http_dispatch).
index(http_current_handler(?,?,?), http_dispatch, http_dispatch).
index(http_location_by_id(?,?), http_dispatch, http_dispatch).
index(http_link_to_id(?,?,?), http_dispatch, http_dispatch).
index(http_reload_with_parameters(?,?,?), http_dispatch, http_dispatch).
index(http_safe_file(?,?), http_dispatch, http_dispatch).
index(map_exception_to_http_status(?,?,?,?), http_exception, http_exception).
index(in_or_exclude_backtrace(?,?), http_exception, http_exception).
index(http_reply_from_files(?,?,?), http_files, http_files).
index(http_read_request(?,?), http_header, http_header).
index(http_read_reply_header(?,?), http_header, http_header).
index(http_reply(?,?), http_header, http_header).
index(http_reply(?,?,?), http_header, http_header).
index(http_reply(?,?,?,?), http_header, http_header).
index(http_reply(?,?,?,?,?), http_header, http_header).
index(http_reply(?,?,?,?,?,?), http_header, http_header).
index(http_reply_header(?,?,?), http_header, http_header).
index(http_status_reply(?,?,?,?), http_header, http_header).
index(http_status_reply(?,?,?,?,?), http_header, http_header).
index(http_timestamp(?,?), http_header, http_header).
index(http_post_data(?,?,?), http_header, http_header).
index(http_read_header(?,?), http_header, http_header).
index(http_parse_header(?,?), http_header, http_header).
index(http_parse_header_value(?,?,?), http_header, http_header).
index(http_join_headers(?,?,?), http_header, http_header).
index(http_update_encoding(?,?,?), http_header, http_header).
index(http_update_connection(?,?,?,?), http_header, http_header).
index(http_update_transfer(?,?,?,?), http_header, http_header).
index(http_public_url(?,?), http_host, http_host).
index(http_public_host_url(?,?), http_host, http_host).
index(http_public_host(?,?,?,?), http_host, http_host).
index(http_current_host(?,?,?,?), http_host, http_host).
index(reply_json(?), http_json, http_json).
index(reply_json(?,?), http_json, http_json).
index(reply_json_dict(?), http_json, http_json).
index(reply_json_dict(?,?), http_json, http_json).
index(http_read_json(?,?), http_json, http_json).
index(http_read_json(?,?,?), http_json, http_json).
index(http_read_json_dict(?,?), http_json, http_json).
index(http_read_json_dict(?,?,?), http_json, http_json).
index(is_json_content_type(?), http_json, http_json).
index(:(public,json_type(_)), http_json, http_json).
index(http_log_stream(?), http_log, http_log).
index(http_log(?,?), http_log, http_log).
index(http_log_close(?), http_log, http_log).
index(post_data_encoded(?,?), http_log, http_log).
index(http_logrotate(?), http_log, http_log).
index(http_schedule_logrotate(?,?), http_log, http_log).
index(http_open(+,-,:), http_open, http_open).
index(http_set_authorization(?,?), http_open, http_open).
index(http_close_keep_alive(?), http_open, http_open).
index(openid_login(?), http_openid, http_openid).
index(openid_logout(?), http_openid, http_openid).
index(openid_logged_in(?), http_openid, http_openid).
index(openid_user(?,?,?), http_openid, http_openid).
index(openid_verify(?,?), http_openid, http_openid).
index(openid_authenticate(?,?,?,?), http_openid, http_openid).
index(openid_associate(?,?,?), http_openid, http_openid).
index(openid_associate(?,?,?,?), http_openid, http_openid).
index(openid_server(?,?), http_openid, http_openid).
index(openid_server(?,?,?), http_openid, http_openid).
index(openid_grant(?), http_openid, http_openid).
index(openid_login_form(?,?,?,?), http_openid, http_openid).
index(openid_current_url(?,?), http_openid, http_openid).
index(openid_current_host(?,?,?), http_openid, http_openid).
index(http_parameters(?,?), http_parameters, http_parameters).
index(http_parameters(?,?,?), http_parameters, http_parameters).
index(http_convert_parameter(?,?,?,?), http_parameters, http_parameters).
index(http_convert_parameters(?,?), http_parameters, http_parameters).
index(http_convert_parameters(?,?,?), http_parameters, http_parameters).
index(http_absolute_location(?,?,?), http_path, http_path).
index(http_clean_location_cache, http_path, http_path).
index(http_absolute_uri(?,?), http_path, http_path).
index(reply_pwp_page(?,?,?), http_pwp, http_pwp).
index(pwp_handler(?,?), http_pwp, http_pwp).
index(http_server(?), http_server, http_server).
index(http_current_server(?,?), http_server, http_server).
index(http_server_property(?,?), http_server, http_server).
index(http_server(?,?), http_server, http_server).
index(http_workers(?,?), http_server, http_server).
index(http_add_worker(?,?), http_server, http_server).
index(http_current_worker(?,?), http_server, http_server).
index(http_stop_server(?,?), http_server, http_server).
index(http_spawn(?,?), http_server, http_server).
index(http_dispatch(?), http_server, http_server).
index(http_handler(?,?,?), http_server, http_server).
index(http_delete_handler(?), http_server, http_server).
index(http_request_expansion(?,?), http_server, http_server).
index(http_reply_file(?,?,?), http_server, http_server).
index(http_redirect(?,?,?), http_server, http_server).
index(http_404(?,?), http_server, http_server).
index(http_switch_protocol(?,?), http_server, http_server).
index(http_current_handler(?,?), http_server, http_server).
index(http_current_handler(?,?,?), http_server, http_server).
index(http_location_by_id(?,?), http_server, http_server).
index(http_link_to_id(?,?,?), http_server, http_server).
index(http_reload_with_parameters(?,?,?), http_server, http_server).
index(http_current_request(?), http_server, http_server).
index(http_peer(?,?), http_server, http_server).
index(http_parameters(?,?), http_server, http_server).
index(http_parameters(?,?,?), http_server, http_server).
index(reply_html_page(?,?), http_server, http_server).
index(html(?,?,?), http_server, http_server).
index(html_meta(?), http_server, http_server).
index(:(op,op(1150,fx,html_meta)), http_server, http_server).
index(reply_json_dict(?), http_server, http_server).
index(reply_json_dict(?,?), http_server, http_server).
index(http_read_json_dict(?,?), http_server, http_server).
index(http_read_json_dict(?,?,?), http_server, http_server).
index(is_json_content_type(?), http_server, http_server).
index(serve_files_in_directory(?,?), http_server_files, http_server_files).
index(server_health(?), http_server_health, http_server_health).
index(http_set_session_options(?), http_session, http_session).
index(http_set_session(?), http_session, http_session).
index(http_set_session(?,?), http_session, http_session).
index(http_session_option(?), http_session, http_session).
index(http_session_id(?), http_session, http_session).
index(http_in_session(?), http_session, http_session).
index(http_current_session(?,?), http_session, http_session).
index(http_close_session(?), http_session, http_session).
index(http_open_session(?,?), http_session, http_session).
index(http_session_cookie(?), http_session, http_session).
index(http_session_asserta(?), http_session, http_session).
index(http_session_assert(?), http_session, http_session).
index(http_session_retract(?), http_session, http_session).
index(http_session_retractall(?), http_session, http_session).
index(http_session_data(?), http_session, http_session).
index(http_session_asserta(?,?), http_session, http_session).
index(http_session_assert(?,?), http_session, http_session).
index(http_session_retract(?,?), http_session, http_session).
index(http_session_retractall(?,?), http_session, http_session).
index(http_session_data(?,?), http_session, http_session).
index(http_chunked_open(?,?,?), http_stream, http_stream).
index(http_is_chunked(?), http_stream, http_stream).
index(http_chunked_flush(?,?), http_stream, http_stream).
index(http_chunked_add_trailer(?,?,?), http_stream, http_stream).
index(stream_range_open(+,-,:), http_stream, http_stream).
index(multipart_open(?,?,?), http_stream, http_stream).
index(multipart_open_next(?), http_stream, http_stream).
index(cgi_open(?,?,?,?), http_stream, http_stream).
index(cgi_property(?,?), http_stream, http_stream).
index(cgi_set(?,?), http_stream, http_stream).
index(cgi_discard(?), http_stream, http_stream).
index(is_cgi_stream(?), http_stream, http_stream).
index(cgi_statistics(?), http_stream, http_stream).
index(:(public,http_stream_debug(_)), http_stream, http_stream).
index(http_wrapper(0,+,+,-,+), httpd_wrapper, http_wrapper).
index(http_current_request(?), httpd_wrapper, http_wrapper).
index(http_peer(?,?), httpd_wrapper, http_wrapper).
index(http_send_header(?), httpd_wrapper, http_wrapper).
index(http_relative_path(?,?), httpd_wrapper, http_wrapper).
index(http_wrap_spawned(?,?,?), httpd_wrapper, http_wrapper).
index(http_spawned(?), httpd_wrapper, http_wrapper).
index(hub_create(?,?,?), hub, hub).
index(hub_add(?,?,?), hub, hub).
index(hub_member(?,?), hub, hub).
index(hub_send(?,?), hub, hub).
index(hub_broadcast(?,?), hub, hub).
index(hub_broadcast(+,+,1), hub, hub).
index(current_hub(?,?), hub, hub).
index(js_token(?,?,?), javascript_grammar, js_grammar).
index(js_script(?,?,?), javascript, js_write).
index(js_call(?,?,?), javascript, js_write).
index(js_new(?,?,?,?), javascript, js_write).
index(js_expression(?,?,?), javascript, js_write).
index(js_arg_list(?,?,?), javascript, js_write).
index(js_arg(?,?,?), javascript, js_write).
index(js_args(?,?,?), javascript, js_write).
index(javascript(?,?,?,?), javascript, js_write).
index(json_read(?,?), json, json).
index(json_read(?,?,?), json, json).
index(atom_json_term(?,?,?), json, json).
index(json_write(?,?), json, json).
index(json_write(?,?,?), json, json).
index(is_json_term(?), json, json).
index(is_json_term(?,?), json, json).
index(json_read_dict(?,?), json, json).
index(json_read_dict(?,?,?), json, json).
index(json_write_dict(?,?), json, json).
index(json_write_dict(?,?,?), json, json).
index(atom_json_dict(?,?,?), json, json).
index(prolog_to_json(:,-), json_convert, json_convert).
index(json_to_prolog(+,:), json_convert, json_convert).
index(json_object(?), json_convert, json_convert).
index(:(op,op(1150,fx,json_object)), json_convert, json_convert).
index(mime_pack(?,?,?), mime_pack, mimepack).
index(file_mime_type(?,?), mimetype, mimetype).
index(file_content_type(?,?), mimetype, mimetype).
index(file_content_type(?,?,?), mimetype, mimetype).
index(term(+,:,?,?), term_html, term_html).
index(http_current_server(?,?), thread_httpd, thread_httpd).
index(http_server_property(?,?), thread_httpd, thread_httpd).
index(http_server(?,?), thread_httpd, thread_httpd).
index(http_workers(?,?), thread_httpd, thread_httpd).
index(http_add_worker(?,?), thread_httpd, thread_httpd).
index(http_current_worker(?,?), thread_httpd, thread_httpd).
index(http_stop_server(?,?), thread_httpd, thread_httpd).
index(http_spawn(?,?), thread_httpd, thread_httpd).
index(http_requeue(?), thread_httpd, thread_httpd).
index(http_close_connection(?), thread_httpd, thread_httpd).
index(http_enough_workers(?,?,?), thread_httpd, thread_httpd).
index(http_open_websocket(?,?,?), websocket, websocket).
index(http_upgrade_to_websocket(1,+,+), websocket, websocket).
index(ws_send(?,?), websocket, websocket).
index(ws_receive(?,?), websocket, websocket).
index(ws_receive(?,?,?), websocket, websocket).
index(ws_close(?,?,?), websocket, websocket).
index(ws_open(?,?,?), websocket, websocket).
index(ws_property(?,?), websocket, websocket).
index(xrds_dom(?,?), yadis, yadis).
index(xrds_location(?,?), yadis, yadis).
